node package manager

require-typescript

See better-require.

Install

npm install require-typescript

Usage

require('require-typescript');
var mymodule = require('./mymodule.ts');

Reference

http://nodejs.org/api/all.html#all_require_extensions